Bug 469376 - RFE: progress dialog while saving tracebacks
RFE: progress dialog while saving tracebacks
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: report (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Gavin Romig-Koch
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 592636
  Show dependency treegraph
 
Reported: 2008-10-31 11:08 EDT by James Laska
Modified: 2015-01-07 19:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2008-10-31 11:08:31 EDT
Description of problem:

Currently there is no status given while saving a traceback (remote, local disk, or bugzilla).  The cursor changes to an hourglass, but the save form is still present on the screen. 

It would be a nice usability feature to present a progress dialog while saving the traceback (regardless of where saving it to).

Version-Release number of selected component (if applicable):
anaconda 11.4.1.53


How reproducible:


Steps to Reproduce:
1. Boot installer w/ updates=http://jlaska.fedorapeople.org/traceback.img
  
Actual results:
The save traceback dialog allows you to select various methods to save your traceback elsewhere (local disk, bugzilla, another server).  Each approach could be delayed for various reasons (networking or disk spin up delay or remote server "issues").

Expected results:

A small progress dialog ... nothing fancy.  Just something to let tehe user know we got the request, and are working on it.


Additional info:
Comment 1 Chris Lumens 2009-07-17 16:28:19 EDT
I should be able to take care of this in python-meh.
Comment 2 Chris Lumens 2010-01-04 10:43:59 EST
It looks increasingly like python-meh will start to use the report library to handle interaction with bug reporting systems, so I'm going to go ahead and reassign this bug so he can start to look at how to handle this.

Note You need to log in before you can comment on or make changes to this bug.